FROM scratch

# Copy in the binary and settings file
COPY goInventorize-linux-amd64 /

ENV PORT=3500
# Export necessary port.
EXPOSE 3500
# Add the timezone information for golang
ADD https://github.com/golang/go/raw/master/lib/time/zoneinfo.zip /zoneinfo.zip
ENV ZONEINFO /zoneinfo.zip

# Command to run when starting the container.
ENTRYPOINT ["/goInventorize-linux-amd64"]